Subject: bug#72343: [PATCH] Fix eglot-server-programs for TeX modes

From: Augusto Stoffel <[email-masked]>
Date: Wed, 07 Aug 2024 08:33:23 +0200

On Tue,  6 Aug 2024 at 19:08, João Távora wrote:

> Also earlier you proposed multiple entries in eglot-server-programs,
> which would impede this multi-language-per-session feature.  So I
> figured you wouldn't be familiar with it.

By the way, if Eglot relies on that for the multi-language-per-session
feature, then such feature would be incompatible with an
`eglot-server-program' variable (note the singular) that major modes can
set independently as a buffer-local variable.

Wouldn't it make more sense to reuse a running server if a new one would
be started at the same directory and with the same command line
arguments?